routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

/* Route::get('test', function () {
    return view('test');
}); */

/* optional method */

Route::view('testpage', 'test');

Route::view('userview', 'user');
Route::view('signup', 'signup');
    

/* optional method */

Route::get('profile', 'Profile@index');
Route::resource('blogs','BlogController');
Route::post('userscontroller', 'usersController@account');
Route::post('chnage', 'BlogController@changeStatus');
Route::post('registers', 'AccountController@save');
Route::get('show', 'AccountController@showData');

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');



Route::get('login', 'AuthController@index');
Route::post('post-login', 'AuthController@postLogin');
Route::get('register', 'AuthController@register');
Route::post('post-register', 'AuthController@postRegister');
Route::get('dashboard', 'AuthController@dashboard');
Route::get('logout', 'AuthController@logout');

app/Blog.php
<?php
  
namespace App;
  
use Illuminate\Database\Eloquent\Model;
   
class Blog extends Model
{
    protected $fillable = [
        'title', 'description'
      ];
	  
	  
}

app/Http/Controllers/BlogController.php
<?php
  
namespace App\Http\Controllers;
  
use App\Blog;
use Illuminate\Http\Request;

use DB;
use Auth;
use Redirect;
  
class BlogController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
       
	   if(Auth::check()){
	   $blogs = Blog::latest()->paginate(5);
		
		
        return view('blogs.index',compact('blogs'))
            ->with('i', (request()->input('page', 1) - 1) * 5);
	   }
	   
	   return Redirect::to("login")->withSuccess('Opps! You do not have access');
    }
   
    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        if(Auth::check()){
		return view('blogs.create');
		}
		return Redirect::to("login")->withSuccess('Opps! You do not have access');
    }
  
    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        if(Auth::check()){
		$request->validate([
            'title' => 'required',
            'description' => 'required',
        ]);
  
        Blog::create($request->all());
   
        return redirect()->route('blogs.index')
                        ->with('success','Blog created successfully.');
		}
				return Redirect::to("login")->withSuccess('Opps! You do not have access');
    }
   
    /**
     * Display the specified resource.
     *
     * @param  \App\Blog  $blog
     * @return \Illuminate\Http\Response
     */
    public function show(Blog $blog)
    {
		if(Auth::check()){
        return view('blogs.show',compact('blog'));
		}
		return Redirect::to("login")->withSuccess('Opps! You do not have access');
    }
   
    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Blog  $blog
     * @return \Illuminate\Http\Response
     */
    public function edit(Blog $blog)
    {
        if(Auth::check()){
		return view('blogs.edit',compact('blog'));
		}
		return Redirect::to("login")->withSuccess('Opps! You do not have access');
    }
  
    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Blog  $blog
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Blog $blog)
    {
        
		if(Auth::check()){
		$request->validate([
            'title' => 'required',
            'description' => 'required',
        ]);
  
        $blog->update($request->all());
  
        return redirect()->route('blogs.index')
                        ->with('success','Blog updated successfully');
						
		}

			return Redirect::to("login")->withSuccess('Opps! You do not have access');

			
    }
	
	public function changeStatus(Request $request, Blog $blog)
    {
		
	  
	  
	  //$blog->update(['status' => $request->status]);
	  $affected = DB::table('blogs')
              ->where('id', $request->id)
              ->update(['status'=>$request->status]);
	  
	//  $blog->where('id','=',$request->status)->update(['status' => $request->status]);
	  
	   

        return response()->json(['success'=>'Status changed successfully.']);

       //return response()->json(['success'=>'Status changed successfully.']);
	  /*  return redirect()->route('blogs.index')
                        ->with('success','Blog updated successfully'); */
    }
  
  
  
    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Blog  $blog
     * @return \Illuminate\Http\Response
     */
    public function destroy(Blog $blog)
    {
        $blog->delete();
  
        return redirect()->route('blogs.index')
                        ->with('success','Blogs deleted successfully');
    }
}

resources/views/blogs/create.blade.php
@extends('blogs.layout')
  
@section('content')
<div class="row">
    <div class="col-lg-12 margin-tb">
        <div class="pull-left">
            <h2>Create New Blog</h2>
        </div>
        <div class="pull-right">
            <a class="btn btn-primary" href="{{ route('blogs.index') }}"> Back</a>
        </div>
    </div>
</div>
   
@if ($errors->any())
    <div class="alert alert-danger">
        <strong>Warning!</strong> Please check your input code<br><br>
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif
   
<form action="{{ route('blogs.store') }}" method="POST">
    @csrf
     <div class="row">
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Title:</strong>
                <input type="text" name="title" class="form-control" placeholder="Title">
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Description:</strong>
                <textarea class="form-control" style="height:280px" name="description" placeholder="Description"></textarea>
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12 text-center">
                <button type="submit" class="btn btn-primary">Submit</button>
        </div>
    </div>
   
</form>
@endsection 

resources/views/blogs/edit.blade.php
@extends('blogs.layout')
   
@section('content')
    <div class="row">
        <div class="col-lg-12 margin-tb">
            <div class="pull-left">
                <h2>Edit Blog</h2>
            </div>
            <div class="pull-right">
                <a class="btn btn-primary" href="{{ route('blogs.index') }}"> Back</a>
            </div>
        </div>
    </div>
   
    @if ($errors->any())
        <div class="alert alert-danger">
            <strong>Warning!</strong> Please check input field code<br><br>
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif
  
    <form action="{{ route('blogs.update',$blog->id) }}" method="POST">
        @csrf
        @method('PUT')
   
         <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Title:</strong>
                    <input type="text" name="title" value="{{ $blog->title }}" class="form-control" placeholder="Title">
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Description:</strong>
                    <textarea class="form-control" style="height:150px" name="description" placeholder="Description">{{ $blog->description }}</textarea>
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12 text-center">
              <button type="submit" class="btn btn-primary">Submit</button>
            </div>
        </div>
   
    </form>
@endsection

resources/views/blogs/index.blade.php
@extends('blogs.layout')
 
@section('content')
    <div class="row">
	
        <div class="col-lg-12 margin-tb">
            <div class="pull-left">
                <h2>Check all Blogs</h2>
            </div>
            <div class="pull-right">
                <a class="btn btn-success" href="{{ route('blogs.create') }}"> Create new blogs</a>
            </div>
			 
        </div>
    </div>
   
    @if ($message = Session::get('success'))
        <div class="alert alert-success">
            <p>{{ $message }}</p>
        </div>
    @endif
   
    <table class="table table-bordered">
        <tr>
            <th>No</th>
            <th>Title</th>
            <th>Description</th>
            <th width="250px">Action</th>
        </tr>
        @foreach ($blogs as $blog)
        <tr>
            <td>{{ ++$i }}</td>
            <td>{{ $blog->title }}</td>
            <td>{{ $blog->description }}</td>
            <td>
                <form action="{{ route('blogs.destroy',$blog->id) }}" method="POST">
   
                    <a class="btn btn-info" href="{{ route('blogs.show',$blog->id) }}">Show</a>
    
                    <a class="btn btn-primary" href="{{ route('blogs.edit',$blog->id) }}">Edit</a>
					
				<?php if($blog->status==1) {?>	
				<a class="btn btn-primary" id="user-{{$blog->id}}"  onclick="changeUserStatus({{ $blog->status }}, {{ $blog->id }});">Deactive</a>
				<?php } else {?>
				<a class="btn btn-primary" id="user-{{$blog->id}}"  onclick="changeUserStatus({{ $blog->status }}, {{ $blog->id }});">Active</a>
				<?php } ?>
					 
					
   
                   @csrf
                    @method('DELETE')
      
                    <button type="submit" class="btn btn-danger">Delete</button>
                </form>
            </td>
        </tr>
        @endforeach
    </table>
  
    {!! $blogs->links() !!}
      
@endsection


<script>
function changeUserStatus(status, id) {
	
	
    let _token = $('meta[name="csrf-token"]').attr('content');
	
	//alert(status); 
	//return false;
	
	if(status===1){
		
		//alert('sss');
		
		status=0;
	}  
	else if(status===0){
		
		//alert('sssqqq');
		status=1;
		
	}
   alert(status);
    $.ajax({
        url: 'chnage',
        type: 'post',
		header:{
          'X-CSRF-TOKEN': _token
        },
        data: {
            _token: _token,
            id: id,
            status: status,
			dataType: 'json', 
			contentType:'application/json',	
        },
        success: function (result) {
			
			
			$('#user-'+5).text('sssss');
			
        }
    });
}

</script>

resources/views/blogs/layout.blade.php
<!DOCTYPE html>
<html>
<head>
<title>Main layout page </title>
<meta name="csrf-token" content="{{ csrf_token() }}">
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.min.js" ></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/css/bootstrap.min.css"  />
    <link href="https://gitcdn.github.io/bootstrap-toggle/2.2.2/css/bootstrap-toggle.min.css" rel="stylesheet">
    <script src="https://gitcdn.github.io/bootstrap-toggle/2.2.2/js/bootstrap-toggle.min.js"></script>
</head>
<body>
<h4 style="float:right;"><a class="dropdown-item" href="{{url('logout')}}">Logout</a><h4>
<div class="jumbotron text-center">
  <h1>Custom Blog </h1>
  
</div>
  
<div class="container">
    @yield('content')
</div>
<div class="jumbotron text-center" style="margin-bottom:0">
  <p>Footer</p>
</div>
</body>
</html>

resources/views/blogs/show.blade.php
@extends('blogs.layout')
@section('content')
    <div class="row">
        <div class="col-lg-12 margin-tb">
            <div class="pull-left">
                <h2> Show blog</h2>
            </div>
            <div class="pull-right">
                <a class="btn btn-primary" href="{{ route('blogs.index') }}"> Back</a>
            </div>
        </div>
    </div>
   
    <div class="row">
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Title:</strong>
                {{ $blog->title }}
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Description:</strong>
                {{ $blog->description }}
            </div>
        </div>
    </div>
@endsection